curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets/prices \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"price": 123,
"sourceLanguages": [
"<string>"
],
"targetLanguages": [
"<string>"
],
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets/prices"
payload = {
"price": 123,
"sourceLanguages": ["<string>"],
"targetLanguages": ["<string>"],
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
price: 123,
sourceLanguages: ['<string>'],
targetLanguages: ['<string>'],
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/priceSets/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"currencyCode": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"priceSets": [
{
"minimumPrice": 123,
"prices": [
{
"price": 123,
"workflowStep": {
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
],
"sourceLang": "<string>",
"targetLang": "<string>"
}
],
"uid": "<string>"
}Edit prices
If object contains only price, all languages and workflow steps will be updated.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the price list
Body
Prices to apply
Request body for setting prices on language pairs
Price to set for the matching language pairs and workflow steps
Source language codes to filter. Empty list matches all source languages.
Target language codes to filter. Empty list matches all target languages.
Workflow steps to filter. Empty list updates all workflow steps.
15Show child attributes
Show child attributes
Response
OK
Price list with set of prices for language pairs
Name of the price list
Billing unit for prices
Word, Page, Character, Hour Currency code for the price list
Date the price list was created
Internal numeric identifier, encoded as a string
When true, this is the default price list for the organization
Language pairs with associated prices
Show child attributes
Show child attributes
Unique identifier used in API paths
Was this page helpful?